- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDGeometrySpline Class Reference
[COLLADA Document Geometry Entity]

A COLLADA geometric spline. More...

`#include <FCDGeometrySpline.h>`

Inheritance diagram for FCDGeometrySpline:

List of all members.

## Public Member Functions
| FCDGeometrySpline (FCDocument *document, FCDGeometry *parent)
| Constructor: do not use directly.
virtual | ~FCDGeometrySpline ()
| Destructor.
FCDGeometry * | GetParent ()
| Retrieves the parent of this geometric spline: the geometry entity.
const FCDGeometry * | GetParent () const
| See above.
FUDaeSplineType::Type | GetType () const
| Retrieves the type of this geometry spline.
bool | SetType (FUDaeSplineType::Type _type)
| Sets the spline type for this geometry spline.
size_t | GetSplineCount () const
| Retrieves the number of splines in this geometry spline.
size_t | GetTotalCVCount ()
| Retrieves the total amount of control vertices in the spline array.
FCDSpline * | GetSpline (size_t index)
| Retrieves a pointer to the spline specified by the given index.
const FCDSpline * | GetSpline (size_t index) const
| see above
FCDSpline * | AddSpline (FUDaeSplineType::Type type=FUDaeSplineType::UNKNOWN)
| Adds a spline to this geometry spline.
void | ConvertBezierToNURBS (FCDNURBSSplineList &toFill)
| Converts the Bezier splines in this geometry to a list of NURBS splines.
FCDGeometrySpline * | Clone (FCDGeometrySpline *clone=NULL) const
| Copies the spline into a clone.

## Detailed Description

A COLLADA geometric spline.

A COLLADA spline contains an array of FCDSpline of the same type.

Todo:
  : Insert the mathematical formula to calculate the spline position.

## Constructor & Destructor Documentation

FCDGeometrySpline::FCDGeometrySpline | ( | FCDocument * | document,
|  | FCDGeometry * | parent
| ) |

  | Constructor: do not use directly. Use the FCDGeometry::CreateMesh function instead. Parameters:
  | document | The COLLADA document that owns the new spline.
  | parent | The geometry entity that contains the new spline.

## Member Function Documentation

FCDSpline* FCDGeometrySpline::AddSpline | ( | FUDaeSplineType::Type | type = `FUDaeSplineType::UNKNOWN` | ) |

  | Adds a spline to this geometry spline. Parameters:
  | type | The type of spline to create. Set the type to FUDaeSplineType::UNKNOWN to create a spline that has the same type as this geometry spline.
Returns: The new spline. This pointer will be NULL if the requested spline type is different from existing splines. This pointer will be NULL if the requested type is FUDaeSplineType::UNKNOWN and this geometry spline doesn't yet have a type assigned.

FCDGeometrySpline* FCDGeometrySpline::Clone | ( | FCDGeometrySpline * | clone = `NULL` | ) | const

  | Copies the spline into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new spline will be created and you will need to release the returned pointer manually.
Returns: The clone.

void FCDGeometrySpline::ConvertBezierToNURBS | ( | FCDNURBSSplineList & | toFill | ) |

  | Converts the Bezier splines in this geometry to a list of NURBS splines. Parameters:
  | toFill | The list of NURBS to fill. An empty list if the type of this geometry is not BEZIER.

FCDGeometry* FCDGeometrySpline::GetParent | ( |  | ) | `[inline]`

| Retrieves the parent of this geometric spline: the geometry entity. Returns: The geometry entity that this spline belongs to.

FCDSpline* FCDGeometrySpline::GetSpline | ( | size_t | index | ) | `[inline]`

  | Retrieves a pointer to the spline specified by the given index. Parameters:
  | index | The index, higher or equal to 0 and lower than GetSplineCount().
Returns: The FCDSpline pointer, or NULL if index is invalid.

size_t FCDGeometrySpline::GetSplineCount | ( |  | ) | const`[inline]`

| Retrieves the number of splines in this geometry spline. Returns: The spline count.

size_t FCDGeometrySpline::GetTotalCVCount | ( |  | ) |

| Retrieves the total amount of control vertices in the spline array. Returns: The total CV count.

FUDaeSplineType::Type FCDGeometrySpline::GetType | ( |  | ) | const`[inline]`

| Retrieves the type of this geometry spline. Returns: The type.

bool FCDGeometrySpline::SetType | ( | FUDaeSplineType::Type | _type | ) |

  | Sets the spline type for this geometry spline. Changing the type of a geometry spline that contains sub-splines will clear all its sub-splines. Parameters:
  | _type | The type.

The documentation for this class was generated from the following file:

- FCDocument/FCDGeometrySpline.h